Bug 1479531 - [DNF] backport rich deps
[DNF] backport rich deps
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: pre-dev-freeze
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
: Reopened
Depends On: 1479530
Blocks: 1461652
  Show dependency treegraph
Reported: 2017-08-08 13:43 EDT by Daniel Mach
Modified: 2017-12-14 08:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-14 08:44:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2017-08-08 13:43:36 EDT
To achieve feature parity with the latest RPM in Fedora, DNF team needs rich deps backported to RHEL 7.
Comment 1 Daniel Mach 2017-11-10 02:57:53 EST

*** This bug has been marked as a duplicate of bug 1508538 ***
Comment 2 Panu Matilainen 2017-11-10 03:11:09 EST
Unduping, bug 1508538 is not the same at all.
Comment 3 Panu Matilainen 2017-11-10 03:25:02 EST
Backporting full rich dep support is a massive task requiring major changes throughout rpm. For the record, I loudly object and strongly recommend against this.

Note You need to log in before you can comment on or make changes to this bug.